package cn.com.poc.agent_application.domain;

public class FunctionResult {

    private String functionName;

    private String functionArg;

    private String functionDesc;

    private Object functionResult;

    private String promptContent;

    public String getPromptContent() {
        return promptContent;
    }

    public void setPromptContent(String promptContent) {
        this.promptContent = promptContent;
    }

    public String getFunctionName() {
        return functionName;
    }

    public void setFunctionName(String functionName) {
        this.functionName = functionName;
    }

    public String getFunctionArg() {
        return functionArg;
    }

    public void setFunctionArg(String functionArg) {
        this.functionArg = functionArg;
    }

    public String getFunctionDesc() {
        return functionDesc;
    }

    public void setFunctionDesc(String functionDesc) {
        this.functionDesc = functionDesc;
    }

    public Object getFunctionResult() {
        return functionResult;
    }

    public void setFunctionResult(Object functionResult) {
        this.functionResult = functionResult;
    }


}
